Subject: bug#48344: closed (Re: bug#48344: Problem with native-compilation)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 May 2021 12:59:02 +0000

Your bug report

#48344: Problem with native-compilation

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48344: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48344
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48344: Problem with native-compilation
From: Andrea Corallo <[email-masked]>
To: Konrad Podczeck <[email-masked]>
Cc: [email-masked], Stephen Berman <[email-masked]>
Date: Wed, 12 May 2021 12:58:09 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Konrad Podczeck <[email-masked]> writes:

> Thanks for your reply. However, I could not find anything helpful on the webpages you gave me. So I followed this:
>  
>> Please report the issue to your distribution if libgccjit was installed through
>> that.

Thanks, closing this bug.

Regards

  Andrea

Subject: Problem with native-compilation
From: Konrad Podczeck <[email-masked]>
To: [email-masked]
Date: Tue, 11 May 2021 13:11:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I installed libgccjit from homebrew on the latest MacOS.

Using the option --with-native-compilation to build Emacs, during the configure phase I got:

checking libgccjit.h usability... yes
checking libgccjit.h presence... yes
checking for libgccjit.h... yes
configure: error: Installed libgccjit has failed passing the smoke test.

“usabilty” yes, but then “failed” some test, look contradictory.
What is the “smoke test”? There is no hint in any of the docs coming with Emacs.

Konrad